# Interface IMatchRules

All Known Subinterfaces:
  `IPluginImport, IPluginReference`

All Known Implementing Classes:
  `PluginReference`

public interface IMatchRules
This interface contains constants used throughout the plug-in for plug-in reference matching. These rules are used to control when determining if two compared versions are equivalent.

New code should use `VersionMatchRule` instead.

Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`COMPATIBLE`
A match that is compatible with the required version.
`static final int`
`EQUIVALENT`
A match that is equivalent to the required version.
`static final int`
`GREATER_OR_EQUAL`
A match requires that a version is greater or equal to the specified version.
`static final int`
`NONE`
No rule.
`static final int`
`PERFECT`
An perfect match.
`static final int`
`PREFIX`
An id match requires that the specified id is a prefix of a candidate id.
`static final String`
`RULE_COMPATIBLE`
Attribute value for the 'compatible' rule.
`static final String`
`RULE_EQUIVALENT`
Attribute value for the 'equivalent' rule.
`static final String`
`RULE_GREATER_OR_EQUAL`
Attribute value for the 'greater or equal' rule
`static final String[]`
`RULE_NAME_TABLE`
Table of rule names that match rule values defined in this interface.
`static final String`
`RULE_PERFECT`
Attribute value for the 'perfect' rule.
`static final String`
`RULE_PREFIX`
Attribute value for the 'prefix' id rule

## Field Details

### NONE

static final int NONE
No rule.

See Also:
  - Constant Field Values

### EQUIVALENT

static final int EQUIVALENT
A match that is equivalent to the required version.

See Also:
  - Constant Field Values

### RULE_EQUIVALENT

static final String RULE_EQUIVALENT
Attribute value for the 'equivalent' rule.

See Also:
  - Constant Field Values

### COMPATIBLE

static final int COMPATIBLE
A match that is compatible with the required version.

See Also:
  - Constant Field Values

### RULE_COMPATIBLE

static final String RULE_COMPATIBLE
Attribute value for the 'compatible' rule.

See Also:
  - Constant Field Values

### PERFECT

static final int PERFECT
An perfect match.

See Also:
  - Constant Field Values

### RULE_PERFECT

static final String RULE_PERFECT
Attribute value for the 'perfect' rule.

See Also:
  - Constant Field Values

### GREATER_OR_EQUAL

static final int GREATER_OR_EQUAL
A match requires that a version is greater or equal to the specified version.

See Also:
  - Constant Field Values

### RULE_GREATER_OR_EQUAL

static final String RULE_GREATER_OR_EQUAL
Attribute value for the 'greater or equal' rule

See Also:
  - Constant Field Values

### PREFIX

static final int PREFIX
An id match requires that the specified id is a prefix of a candidate id.

See Also:
  - Constant Field Values

### RULE_PREFIX

static final String RULE_PREFIX
Attribute value for the 'prefix' id rule

See Also:
  - Constant Field Values

### RULE_NAME_TABLE

static final String[] RULE_NAME_TABLE
Table of rule names that match rule values defined in this interface. It can be used directly against the rule values used in plug-in models.